
Base Distribution - Task # 48366

Work Package # 45217 (New): [WIP][Assignee missing] External & internal link support

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2013-05-17 Assigned To: Bastian Waidelich
Updated: 2013-10-24 Due date:
Subject: Support editing internal links with Aloha
Description

Associated revisions
Revision 91cdf091 - 2013-10-24 22:24 - Rens Admiraal

[FEATURE] Convert "node://" URIs in Text and Headline TS objects

converts node URIs to proper URIs by applying the ConvertNodeUris
processor to Text & Headline text properties.

Change-Id: Id90db00ff9e3e23e3995e954c0c0b17bf5c3c446
Depends: Ib7c8c6cc7bc53d0f1f7e21b5930cba2c97ea3475
Related: #48366
Reviewed-on: https://review.typo3.org/24265
Reviewed-by: Karsten Dambekalns
Tested-by: Karsten Dambekalns

Revision a4ee4d99 - 2013-10-24 22:24 - Bastian Waidelich

[FEATURE] Support editing internal links with Aloha

Adds an aloha repository plugin that interacts with the node REST API
introduced with I0af30c40cf1d5bcdedfd39d44f51cfc6ee01565b providing
a typeahead-functionality for page-links.

The resulting URI will have the following format: node://<UUID>
Those can be replaced with proper URIs using the ConvertNodeUris
TypoScript Object.

This is done for text and headlines with
Id90db00ff9e3e23e3995e954c0c0b17bf5c3c446

Change-Id: Ib7c8c6cc7bc53d0f1f7e21b5930cba2c97ea3475
Resolves: #48366
Reviewed-on: https://review.typo3.org/24208
Reviewed-by: Karsten Dambekalns
Tested-by: Karsten Dambekalns

Revision 133a2ea8 - 2013-11-26 10:46 - Bastian Waidelich

[BUGFIX] Only replace node URIs in live workspace
With #48366 neos supports proper linking between nodes. URIs in the
format "node://<uuid>" are replaced by proper http URLs.
This replacement must only take place in live workspace though in
order to avoid "http://.." URLs to be stored in the database.

Change-Id: I063b2ebae07b8276fed7e7f374227f33360ea9f9
Related: #48366
Reviewed-on: https://review.typo3.org/25674
Tested-by: Bastian Waidelich
Reviewed-by: Dominique Feyer
Reviewed-by: Aske Ertmann
Reviewed-by: Bastian Waidelich

History
#1 - 2013-10-01 12:15 - Bastian Waidelich
- Assigned To changed from Sebastian Kurfuerst to Bastian Waidelich

#2 - 2013-10-01 12:19 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24208

#3 - 2013-10-01 16:13 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24208

#4 - 2013-10-02 10:33 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24208

#5 - 2013-10-02 13:49 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24208

#6 - 2013-10-02 17:06 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24208

#7 - 2013-10-04 21:17 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24208

#8 - 2013-10-10 18:11 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24208

#9 - 2013-10-10 19:27 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24208

#10 - 2013-10-10 20:26 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24208

#11 - 2013-10-15 16:28 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24208

#12 - 2013-10-15 19:52 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24208

#13 - 2013-10-15 19:54 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24208

#14 - 2013-10-15 20:17 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24208

#15 - 2013-10-24 16:09 - Gerrit Code Review

Patch set 14 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24208

#16 - 2013-10-24 17:18 - Gerrit Code Review
Patch set 15 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24208

#17 - 2013-10-24 17:29 - Gerrit Code Review

Patch set 16 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24208

#18 - 2013-10-24 22:11 - Gerrit Code Review

Patch set 17 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24208

#19 - 2013-10-24 22:35 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a4ee4d99efbd2e857546924f4a8a70bac1ff73a8.
